FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Text_Display::Style_Table_Entry Struct Reference

This structure associates the color, font, and font size of a string to draw with an attribute mask matching attr. More...

`#include <Fl_Text_Display.H>`

## Public Attributes
unsigned | attr
| further attributes for the text style (see ATTR_BGCOLOR, etc.)
Fl_Color | bgcolor
| text background color if ATTR_BGCOLOR or ATTR_BGCOLOR_EXT is set
Fl_Color | color
| text color
Fl_Font | font
| text font
Fl_Fontsize | size
| text font size

## Detailed Description

This structure associates the color, font, and font size of a string to draw with an attribute mask matching attr.

There must be one entry for each style that can be used in an Fl_Text_Display for displaying text. The style table is an array of struct Style_Table_Entry.

The style table is associated with an Fl_Text_Display by using Fl_Text_Display::highlight_data().

See also
  Fl_Text_Display::highlight_data()

The documentation for this struct was generated from the following file:

- Fl_Text_Display.H